For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
          • Authentication
          • Catalog
          • Company
          • Orders
          • Request for Quote
            • GETList Quotes
            • POSTCreate Quote
            • GETGet Quote Details
            • PUTSend Quote Message
            • POSTGenerate Cart and Checkout URL for Quote
            • POSTAssign Quote to BigCommerce Order
            • POSTExport Quote PDF
            • GETGet Quote Configs
            • POSTSend Quote Email
            • GETGet Quote Store Info
          • Sales Rep
          • Shopping List
          • Store Settings
      • Management
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BStorefrontRequest for Quote

Export Quote PDF

POST
https://api-b2b.bigcommerce.com/api/v2/rfq/:quote_id/pdf-export
POST
/api/v2/rfq/:quote_id/pdf-export
$curl -X POST https://api-b2b.bigcommerce.com/api/v2/rfq/123456/pdf-export \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Successful
1{
2 "code": 200,
3 "message": "SUCCESS",
4 "data": {
5 "url": "https://example.com/quote.pdf"
6 }
7}
Generates a download link to a PDF copy of the specified quote. The PDF uses the default template configured in the store's Quote settings. You can opionally include the `currency` array in the request body to convert prices in the PDF to a specific currency. Currency details can be fetched with the [Get All Available Currencies](/developer/api-reference/rest/b2b/storefront/store-settings) endpoint. Equivalent Storefront GraphQL API Mutation: `quoteFrontendPdf`.
Was this page helpful?
Previous

Assign Quote to BigCommerce Order

Next

Get Quote Configs

Built with

Generates a download link to a PDF copy of the specified quote. The PDF uses the default template configured in the store’s Quote settings.

You can opionally include the currency array in the request body to convert prices in the PDF to a specific currency. Currency details can be fetched with the Get All Available Currencies endpoint.

Equivalent Storefront GraphQL API Mutation: quoteFrontendPdf.

Authentication

AuthorizationBearer

Authentication header

HeaderArgumentDescription
AuthorizationBearer {{B2B_JWT_TOKEN}}You can obtain this token using the steps described in the REST Storefront API section[…]

Path parameters

quote_idstringRequired
The internal numeric ID of the sales quote.

Request

This endpoint expects an object.
storeHashstringOptional
The unique store hash for the BigCommerce store.
currencyobjectOptional
Contains detailed information regarding the quote's currency.

Response

OK
codeintegerDefaults to 200
messagestringDefaults to SUCCESS
dataobject